Create a new Call
curl --request POST \
--url https://commerce.driv.ly/api/calls \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"lead": 123,
"phone": "<string>",
"conversation": "<string>",
"recording": "<string>",
"transcript": "<string>",
"notes": "<string>",
"rating": 123,
"ratingNote": "<string>",
"followUpEmail": "<string>",
"nextSteps": "<string>",
"conversationUrl": "<string>",
"developmentCall": true
}
'import requests
url = "https://commerce.driv.ly/api/calls"
payload = {
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"lead": 123,
"phone": "<string>",
"conversation": "<string>",
"recording": "<string>",
"transcript": "<string>",
"notes": "<string>",
"rating": 123,
"ratingNote": "<string>",
"followUpEmail": "<string>",
"nextSteps": "<string>",
"conversationUrl": "<string>",
"developmentCall": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updatedAt: '<string>',
createdAt: '<string>',
name: '<string>',
lead: 123,
phone: '<string>',
conversation: '<string>',
recording: '<string>',
transcript: '<string>',
notes: '<string>',
rating: 123,
ratingNote: '<string>',
followUpEmail: '<string>',
nextSteps: '<string>',
conversationUrl: '<string>',
developmentCall: true
})
};
fetch('https://commerce.driv.ly/api/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"doc": {
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"lead": 123,
"phone": "<string>",
"conversation": "<string>",
"recording": "<string>",
"transcript": "<string>",
"notes": "<string>",
"rating": 123,
"ratingNote": "<string>",
"followUpEmail": "<string>",
"nextSteps": "<string>",
"conversationUrl": "<string>",
"developmentCall": true
},
"message": "<string>"
}Calls
Create a new Call
Create a new Call
POST
/
calls
Create a new Call
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { calls } from '@drivly/commerce'
const sdk = new SDK(...)
const calls = await sdk.calls.create(data: calls): Promise<calls>
Authorizations
Query Parameters
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
Body
application/json
⌘I